## org.biojava.bio.seq
Class FeatureHolder.EmptyFeatureHolder

    java.lang.Object
      |
      +--org.biojava.bio.seq.FeatureHolder.EmptyFeatureHolder

Enclosing class:
  FeatureHolder

public static final class FeatureHolder.EmptyFeatureHolder
extends java.lang.Object
implements FeatureHolder

Inner classes inherited from class org.biojava.bio.seq.FeatureHolder
`FeatureHolder.EmptyFeatureHolder`

Fields inherited from interface org.biojava.bio.seq.FeatureHolder
`EMPTY_FEATURE_HOLDER`

Constructor Summary
`FeatureHolder.EmptyFeatureHolder()`

Method Summary
`int` `countFeatures()` Count how many features are contained.
`Feature` `createFeature(Feature.Template f)` Create a new Feature, and add it to this FeatureHolder.
`java.util.Iterator` `features()` Iterate over the features in no well defined order.
`FeatureHolder` `filter(FeatureFilter fc, boolean recurse)` Return a new FeatureHolder that contains all of the children of this one that passed the filter fc.
`void` `removeFeature(Feature f)` Remove a feature from this FeatureHolder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureHolder.EmptyFeatureHolder

    public FeatureHolder.EmptyFeatureHolder()

Method Detail

### countFeatures

    public int countFeatures()

  Description copied from interface: FeatureHolder
  Count how many features are contained.
  Specified by:
    countFeatures in interface FeatureHolder
  Tags copied from interface: FeatureHolder
  Returns:
    a positive integer or zero, equal to the number of features contained

### features

    public java.util.Iterator features()

  Description copied from interface: FeatureHolder
  Iterate over the features in no well defined order.
  Specified by:
    features in interface FeatureHolder
  Tags copied from interface: FeatureHolder
  Returns:
    an Iterator

### filter

    public FeatureHolder filter(FeatureFilter fc,
                                boolean recurse)

  Description copied from interface: FeatureHolder
  Return a new FeatureHolder that contains all of the children of this one that passed the filter fc.
  Specified by:
    filter in interface FeatureHolder
  Tags copied from interface: FeatureHolder
  Parameters:
    `fc` - the FeatureFilter to apply
    `recurse` - true if all features-of-features should be scanned, and a single flat collection of features returned, or false if just immediate children should be filtered.

### createFeature

    public Feature createFeature(Feature.Template f)

  Description copied from interface: FeatureHolder
  Create a new Feature, and add it to this FeatureHolder. This method will generally only work on Sequences, and on some Features which have been attached to Sequences.
  Specified by:
    createFeature in interface FeatureHolder
  Tags copied from interface: FeatureHolder
  Throws:
    java.lang.UnsupportedOperationException - if this FeatureHolder does not support addition of new features.

### removeFeature

    public void removeFeature(Feature f)

  Description copied from interface: FeatureHolder
  Remove a feature from this FeatureHolder.
  Specified by:
    removeFeature in interface FeatureHolder
  Tags copied from interface: FeatureHolder
  Throws:
    java.lang.UnsupportedOperationException - if this FeatureHolder does not support feature removal.